<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-title>Search <span>catch your dream here</span></ion-title>
    <ion-buttons slot="end">
      <!-- <ion-button size="large">
        <ion-icon name="notifications"></ion-icon>
      </ion-button> -->
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="review-holder ion-padding">
    <div class="review-card ion-text-center card-border-round">
      <!-- <ion-badge color="primary" mode="ios">$20.00 USD</ion-badge> -->
      <ion-item (click)="onOpenDistrictList('from')" class="card-border-round">
        <div class="start-slot icon-right-margin" slot="start">
          <ion-button fill="none">
            <ion-icon slot="icon-only" name="home-outline" color="primary"></ion-icon>
          </ion-button>
        </div>
        <ion-input [disabled]="true" type="text" placeholder="From District" [value]="fromDistrictName"></ion-input>
        <ion-button fill="none" slot="end">
          <ion-icon name="arrow-forward"></ion-icon>
        </ion-button>
      </ion-item>
      <ion-item (click)="onOpenDistrictList('to')" class="no-top-margin card-border-round">
        <div class="start-slot icon-right-margin" slot="start">
          <ion-button fill="none">
            <ion-icon slot="icon-only" name="location-outline" color="primary"></ion-icon>
          </ion-button>
        </div>
        <ion-input [disabled]="true" type="text" placeholder="To District" [value]="toDistrictName"></ion-input>
        <ion-button fill="none" slot="end">
          <ion-icon name="arrow-forward"></ion-icon>
        </ion-button>
      </ion-item>
    </div>
  </div>

  <div class="btn-holder">
    <ion-button (click)="onSearchClicked()" expand="block" class="search-button" routerDirection="root">
      <ion-icon name="search"></ion-icon> Search
    </ion-button>
  </div>

  <div class="list-holder ion-padding-horizontal">
    <div class="the-list">

      <ion-item *ngFor="let nurse of nurseList" class="card-border-round card-shadow" lines="none">
        <div class="thumb avatar-left-margin" slot="start">
          <img class="avatar-max-width" [src]="nurse?.avatarUrl" alt="Profile picture">
        </div>
        <ion-label>
          <h4>{{nurse.name}}</h4>
          <p>
            <ion-icon slot="icon-only" name="home-outline" color="primary"></ion-icon>{{nurse?.currentHospital?.name}}
          </p>
          <p>
            <ion-icon slot="icon-only" name="location-outline" color="primary"></ion-icon>
            {{nurse?.expectedHospitalDescription}}
          </p>
        </ion-label>
        <div class="no-inline-start-margin" slot="end">
          <ion-button (click)="onGotoProfileClich(nurse)">
            <ion-icon name="arrow-forward"></ion-icon>
          </ion-button>
        </div>
      </ion-item>

      <a *ngIf="isLoadMoreEligible" (click)="onLoadMoreClick()">Click here to load more...</a>
    </div>
  </div>
</ion-content>

<!-- [START] INVISIBLE SUPPORTING ITEMS -->
<ion-select #districtSelect [hidden]="true" (ionChange)='onDistrictChange($event)' multiple="false"
  placeholder="Select Unit">
  <ion-select-option *ngFor="let district of districtList" [value]="district.id" value="1" selected>{{district.name}}
  </ion-select-option>
  <!-- <ion-select-option value="2">EURO</ion-select-option> -->

</ion-select>
<!-- [END] INVISIBLE SUPPORTING ITEMS -->